nvme_update_key(2)

NAME
nvme_update_key - Update key raw data

SYNOPSIS
long nvme_update_key (long keyring_id , const char *key_type , const char *identity , unsigned char *key_data , int key_len );

ARGUMENTS

keyring_id
    Id of the keyring holding key_id

key_type
    Type of the key to insert

identity
    Key identity string

key_data
    Raw data of the key

key_len
    Length of key_data

DESCRIPTION
Links the keyring specified by keyring_id into the session keyring and updates the key reference by identity with key_data. The old key with identity identity will be revoked to make it inaccessible.

RETURN
Key id of the new key or 0 with errno set otherwise.